> ## Documentation Index
> Fetch the complete documentation index at: https://docs.answeringagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Linking Invite

> Send an email invite to an existing Answering Agent user to link their account to your partner account. Once accepted, you can generate embed tokens for them.




## OpenAPI

````yaml /openapi.yaml post /partner-links
openapi: 3.0.0
info:
  title: Answering Agent API
  description: API for Answering Agent platform
  version: 1.0.0
servers:
  - url: https://answeringagent.com/api/v1
    description: Production API
  - url: https://playground.answeringagent.com/api/v1
    description: Playground API
security: []
paths:
  /partner-links:
    post:
      tags:
        - Account Linking
      summary: Send Linking Invite
      description: >
        Send an email invite to an existing Answering Agent user to link their
        account to your partner account. Once accepted, you can generate embed
        tokens for them.
      operationId: sendPartnerLinkInvite
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
                - external_id
              properties:
                email:
                  type: string
                  format: email
                  description: Email address of the existing AA user to invite.
                external_id:
                  type: string
                  description: >-
                    Your unique identifier for this user. Must be unique across
                    all your users.
                  maxLength: 255
      responses:
        '201':
          description: Invite sent (or generic acknowledgment).
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  email:
                    type: string
                  external_id:
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - ApiKeyAuth: []
components:
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: API key is required
                enum:
                  - API key is required
                  - Invalid credentials
    ValidationError:
      description: Validation failed.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              errors:
                type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````